Package net.snowflake.client.core

## Enum OCSPMode

- java.lang.Object
- - java.lang.Enum<OCSPMode>
  - - net.snowflake.client.core.OCSPMode

All Implemented Interfaces:
  `Serializable`, `Comparable<OCSPMode>`

    public enum OCSPMode
    extends Enum<OCSPMode>

OCSP mode

### Enum Constant Summary

Enum Constants
`FAIL_CLOSED` Fail closed, aka.
`FAIL_OPEN` Fail open, aka.
`INSECURE` Insure mode.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`int` `getValue()`
`static OCSPMode` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static OCSPMode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### FAIL_CLOSED

    public static final OCSPMode FAIL_CLOSED

Fail closed, aka. hard failure mode. The connection is blocked if the revocation status is revoked or it cannot identify the status.

#### FAIL_OPEN

    public static final OCSPMode FAIL_OPEN

Fail open, aka. soft failure mode. The connection is blocked only if the revocation status is revoked otherwise opened for any reason including the case where the revocation status cannot be retrieved.

#### INSECURE

    public static final OCSPMode INSECURE

Insure mode. No OCSP check is made.

### Method Detail

#### values

    public static OCSPMode[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (OCSPMode c : OCSPMode.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static OCSPMode valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getValue

    public int getValue()